%option noyywrap
%option nounput
%option noinput

%{
#include <stdio.h>
#include <stdlib.h>
#include "y.tab.h"
%}

%%
[0-9]+(\.[0-9]+)? { yylval.vrednost = atof(yytext);
		return BROJ; }
[+*()/-] return yytext[0];
[\n \t] {}
.	{fprintf(stderr, "Nepoznata leksema: %s\n",yytext);
	exit(EXIT_FAILURE);}
%%