%option noyywrap

%{
#include "tokeni.h"
extern int yylval;	

%}

%%
"+" return PLUS;
"*" return PUTA;
"(" return OZ;
")" return ZZ;
"-" return MINUS;
[0-9]+ {
	yylval = atoi(yytext);
	return BROJ;
	}
\n { return EOI; }
. {fprintf(stderr,"Leksicka greska: nepoznata leksema \"%s\"",yytext);
		exit(EXIT_FAILURE);}
%%