
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "stablo.h"

void dodaj(Cvor** adresa_korena,char* ime, float vr){

  if( *adresa_korena  == NULL) {
    *adresa_korena = malloc(sizeof(Cvor));
    if(*adresa_korena == NULL){
      fprintf(stderr, "Malloc() za nov cvor");
      exit(EXIT_FAILURE);
    }
    (*adresa_korena)->ime = ime;
    (*adresa_korena)->vrednost = vr;
  }
  
  if(strcmp((*adresa_korena)->ime, ime) == 0)
    (*adresa_korena)->vrednost = vr;
  else
    if( strcmp((*adresa_korena)->ime, ime) < 0)
      dodaj(&((*adresa_korena)->desni) , ime, vr);
    else
      dodaj(&((*adresa_korena)->levi) , ime, vr);
}

void oslobadi_stablo(Cvor** adresa_korena){
  if(*adresa_korena == NULL)
    return ;
  
  oslobadi_stablo(&(*adresa_korena)->levi);
  oslobadi_stablo(&(*adresa_korena)->desni);
  
  free((*adresa_korena)->ime);
  free(*adresa_korena);
}

Cvor * nadji(Cvor* koren, char * ime ){
  if(koren == NULL)
    return  NULL;
  
  if(strcmp(koren->ime, ime) == 0)
    return koren;
  
  if(strcmp(koren->ime, ime) < 0)
    return nadji(koren->desni, ime);
  
  return 
    nadji(koren->levi, ime);
}

