%option noyywrap
%option noinput
%option nounput

%{
#include <stdio.h>
#include <stdlib.h>
/* yacc vodi racuna o tokenima i njihove definicije smesta u datoteku y.tab.h
   Posto su nam potrebni za komunikaciju izmedju sintasnog i leksickog analizatora 
	ukljucujemo zaglavlje y.tab.h u kom su tokeni definisani. */
#include "y.tab.h"
%}

%%
[0-9]+		 { /* yylval je tipa union kako smo definisali u izrazi2.y 
				isto tako atribut tokena BROJ je ceo broj polja vrednost unije yylval 
				Nju treba inicijalizovati na konkretnu vrednost celog broja sa ulaza.
				*/ 
				yylval.vrednost = atoi(yytext);
				return BROJ; }
[+*()] 		return yytext[0];
[\n \t] 	{ /* beline ignorisemo */}
.			{	fprintf(stderr, "Nepoznata leksema: %s\n",yytext);
			  	exit(EXIT_FAILURE);}
%%