%option noyywrap

%{
#include <stdlib.h>
#include "y.tab.h"
%}

%%
[()+*/=;\-<>] return *yytext;
"=="	return EQ;
"!="	return NEQ;
"<="	return LEQ;
">="	return GEQ;
print 	{ /* mora biti navedeno pre identifikatora,jer ce se u suprotnom i print prihvatati kao identifikator. */ 
		return PRINT; }
[a-z]	{yylval.ime= yytext[0]; return ID; }

[0-9]+(\.[0-9]+)? { yylval.vrednost = atof(yytext);
		return BROJ;}

[ \n\t] {}
.		{
		fprintf(stderr,"Leksicka greska: Nepoznata leksema!\n");
		exit(EXIT_FAILURE);
		}
%%